LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::presentation::EffectCommands Constant Group Reference

## Variables
const short | CUSTOM = 0
| the command is user defined More...
const short | VERB = 1
| the command is an OLE verb. More...
const short | PLAY = 2
| the command starts playing on a media object. More...
const short | TOGGLEPAUSE = 3
| the command toggles the pause status on a media object. More...
const short | STOP = 4
| the command stops the animation on a media object More...
const short | STOPAUDIO = 5
| the command stops all currently running sound effects. More...

## Detailed Description

See also
  com::sun::star::animations::XCommand

## Variable Documentation

## ◆ CUSTOM

const short CUSTOM = 0

the command is user defined

## ◆ PLAY

const short PLAY = 2

the command starts playing on a media object.

Optional parameters are "MediaTime" of type double that specifies the start time in milliseconds. If not given, play continues at last position known.

## ◆ STOP

const short STOP = 4

the command stops the animation on a media object

## ◆ STOPAUDIO

const short STOPAUDIO = 5

the command stops all currently running sound effects.

## ◆ TOGGLEPAUSE

const short TOGGLEPAUSE = 3

the command toggles the pause status on a media object.

## ◆ VERB

const short VERB = 1

the command is an OLE verb.

Required parameters are "Verb" of type long that specifies the verb to execute.